{
  "name": "react-godot-renderer",
  "description": "",
  "version": "0.1.0",
  "type": "module",
  "files": [
    "./README.md",
    "./dist"
  ],
  "license": "MIT",
  "repository": {
    "url": "git+https://github.com/Thiladev/react-godot-renderer.git"
  },
  "types": "./dist/index.d.ts",
  "exports": {
    ".": {
      "types": "./dist/index.d.ts",
      "default": "./dist/index.js"
    },
    "./*": [
      {
        "types": "./dist/*/index.d.ts",
        "default": "./dist/*/index.js"
      },
      {
        "types": "./dist/*.d.ts",
        "default": "./dist/*.js"
      }
    ]
  },
  "scripts": {
    "build": "tsc",
    "lint:tsc": "tsc --noEmit",
    "lint:biome": "biome lint",
    "pack": "npm pack",
    "clean:cache": "rm -rf .turbo tsconfig.tsbuildinfo",
    "clean:dist": "rm -rf dist",
    "clean:modules": "rm -rf node_modules"
  },
  "devDependencies": {
    "@types/react-reconciler": "~0.32.0"
  },
  "dependencies": {
    "react-reconciler": "~0.33.0"
  },
  "peerDependencies": {
    "@types/react": "^19.2.0",
    "react": "^19.2.0"
  }
}
